> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/knowledge-graph/input-types/attribute-type-order.md).

# AttributeTypeOrder

No description

```graphql
input AttributeTypeOrder {
  createdBy: [UserOrder]
  createdOn: SortOrder
  description: SortOrder
  id: SortOrder
  isInteger: SortOrder
  kind: SortOrder
  modifiedBy: [UserOrder]
  modifiedOn: SortOrder
  name: SortOrder
  publicId: SortOrder
  stringType: SortOrder
  system: SortOrder
}
```

### Fields

#### createdBy ● [`[UserOrder]`](/api/graphql/knowledge-graph/input-types/user-order.md) list input <a href="#created-by" id="created-by"></a>

The user who created this resource.

#### createdOn ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#created-on" id="created-on"></a>

The creation date of this resource.

#### description ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#description" id="description"></a>

The description of this attribute type.

#### id ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#id" id="id"></a>

The universally unique identifier of this node.

#### isInteger ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#is-integer" id="is-integer"></a>

Whether this attribute type defines an integer or a decimal in case of a `NUMERIC` kind.

#### kind ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#kind" id="kind"></a>

The kind of this attribute type. Possible values are: `BOOLEAN`, `STRING`, `NUMERIC`, `DATE`, `DATE_TIME`, `SINGLE_VALUE_LIST`, `MULTI_VALUE_LIST`, or `SCRIPT`.

#### modifiedBy ● [`[UserOrder]`](/api/graphql/knowledge-graph/input-types/user-order.md) list input <a href="#modified-by" id="modified-by"></a>

The user who last modified this resource.

#### modifiedOn ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#modified-on" id="modified-on"></a>

The last modified date of this resource.

#### name ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#name" id="name"></a>

The name of this attribute type.

#### publicId ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#public-id" id="public-id"></a>

The public identifier of this attribute type.

#### stringType ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#string-type" id="string-type"></a>

The string type of this attribute type in case of a `STRING` kind. Possible values are: `RICH_TEXT` or `PLAIN_TEXT`.

#### system ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#system" id="system"></a>

Whether this resource is reserved by the system.

### Member Of

[`AttributeOrder`](/api/graphql/knowledge-graph/input-types/attribute-order.md) input ● [`BooleanAttributeOrder`](/api/graphql/knowledge-graph/input-types/boolean-attribute-order.md) input ● [`DateAttributeOrder`](/api/graphql/knowledge-graph/input-types/date-attribute-order.md) input ● [`MultiValueAttributeOrder`](/api/graphql/knowledge-graph/input-types/multi-value-attribute-order.md) input ● [`NumericAttributeOrder`](/api/graphql/knowledge-graph/input-types/numeric-attribute-order.md) input ● [`StringAttributeOrder`](/api/graphql/knowledge-graph/input-types/string-attribute-order.md) input


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/knowledge-graph/input-types/attribute-type-order.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
